>From 7fe8f182117ffd8aa3cf82fd6a496a0ba805ab00 Mon Sep 17 00:00:00 2001
From: Vincent Chou <wsvchou@gmail.com>
Date: Wed, 22 Sep 2010 15:23:13 +1000
Subject: [PATCH] avi demux: reword the problem dialog's context in a more logical and informative way.

This will be more user friendly, so to speak, and in plain English of course.
With a bit more mature accent.
This way the users only have to choose an action as he/she desires.
---
 modules/demux/avi/avi.c |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

diff --git a/modules/demux/avi/avi.c b/modules/demux/avi/avi.c
index 1420fec..66b2616 100644
--- a/modules/demux/avi/avi.c
+++ b/modules/demux/avi/avi.c
@@ -655,11 +655,11 @@ aviindex:
                 b_index = true;
                 goto aviindex;
             }
-            switch( dialog_Question( p_demux, _("Broken AVI Index") ,
-               _( "Because this AVI file is broken, seeking will not work correctly.\n"
-                  "It can be fixed, but this step might take a long time.\n"
-                  "What do you want to do ?" ),
-                  _( "Repair and play" ), _( "Play as is" ), _( "Do not play") ) )
+            switch( dialog_Question( p_demux, _("VLC detected anomaly in this file's index") ,
+               _( "Seek might not work on this video because the file is incomplete.\n"
+                  "However, VLC can temporary reconstruct this index to allow seeking.\n"
+                  "This step will take a few minutes to finish depending on the length of video." ),
+                  _( "Reconstruct index" ), _( "Skip indexing" ), _( "Abort playback" ) ) )
             {
                 case 1:
                     b_index = true;
-- 
1.7.1

